Bug 31877 - (i810)xserver crashes when switching between VTs
(i810)xserver crashes when switching between VTs
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-15 11:15 EST by Need Real Name
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-26 05:21:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-03-15 11:15:32 EST
I have RH70 on Compaq EP with Intel 810 AGP video. Sometimes when I'm
switching between VTs (text <-> X) the Xserver dies with signal 11 shortly
after switch from text to X. 

I've tried XFree86 v4.0.1a and also v4.0.2-11 from Rawhide, both crashed.
I've tried i686 glibc v2.1.x (default rh70) and now v2.2-12 (updates). I
have 192MB RAM and 200MB swap.


Steps to reproduce (sometimes)

   1.Launch X, run some apps (netscape, mozilla, xterm) 
   2.Work som time (maybe it depends on memory usage or time runnig X). 
   3.Repeat switching to text VT and back to X

   ... and Xserver crashes


Xserver output:

XFree86 Version 4.0.2 / X Window System
(protocol Version 11, revision 0, vendor release 6400)
Release Date: 18 December 2000
        If the server is older than 6-12 months, or if your card is
        newer than the above date, look for a newer version before
        reporting problems.  (See http://www.XFree86.Org/FAQ)
Operating System: Linux 2.2.17-8smp i686 [ELF] 
Module Loader present
(==) Log file: "/var/log/XFree86.0.log", Time: Thu Mar 15 14:45:43 2001
(==) Using config file: "/etc/X11/XF86Config-4"
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (??) unknown.
(==) ServerLayout "XFree86 Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "IBM 6554 P70 (673, 674 & 6E3)"
(**) |   |-->Device "Intel Corporation|82810E CGC [Chipset Gr"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) XKB: compat: "group_led"
(**) XKB: layout: "czsk(us_sk_qwerty)"
(**) FontPath set to "unix/:7100"
(==) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(--) using VT number 7

(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
        compiled for 4.0.1a, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 0.1.0
(II) Loading /usr/X11R6/lib/modules/libscanpci.a
(II) Module scanpci: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 0.1.0(II) Unloading
/usr/X11R6/lib/modules/libscanpci.a
(--) PCI:*(0:1:0) Intel i810e rev 3, Mem @ 0x44000000/26, 0x40300000/19
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libpex5.a
(II) Module pex5: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/librecord.a
(II) Module record: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.13.0
(II) Loading /usr/X11R6/lib/modules/extensions/libxie.a
(II) Module xie: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/drivers/linux/v4l_drv.o
(II) Module v4l: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 0.0.1
(II) Loading /usr/X11R6/lib/modules/drivers/i810_drv.o
(II) Module i810: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0

(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
(II) v4l driver for Video4Linux
(II) I810: Driver for Intel i810 chipset: i810, i810-dc100, i810e, i815
(--) Assigning device section with no busID to primary device
(--) Chipset i810e found
(II) Loading /usr/X11R6/lib/modules/libvgahw.a
(II) Module vgahw: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 0.1.0
(**) I810(0): Depth 24, (--) framebuffer bpp 24
(==) I810(0): RGB weight 888
(==) I810(0): Default visual is TrueColor
(--) I810(0): Chipset: "i810e"
(--) I810(0): Linear framebuffer at 0x44000000
(--) I810(0): IO registers at addr 0x40300000
(**) I810(0): Will alloc AGP framebuffer: 4096 kByte
(==) I810(0): Using gamma correction (1.0, 1.0, 1.0)
(II) I810(0): IBM 6554 P70 (673, 674 & 6E3): Using hsync range of
30.00-85.00 kHz
(II) I810(0): IBM 6554 P70 (673, 674 & 6E3): Using vrefresh range of
48.00-150.00 Hz 
(II) I810(0): Clock range: 12.00 to 136.00 MHz (--) I810(0): Virtual size
is 1024x768 (pitch 1024)
(**) I810(0): Default mode "1024x768": 94.5 MHz, 68.7 kHz, 85.0 Hz
(==) I810(0): DPI set to (75, 75)
(II) Loading /usr/X11R6/lib/modules/libfb.a
(II) Module fb: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/libxaa.a
(II) Module xaa: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/libramdac.a
(II) Module ramdac: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 0.1.0
Symbol VBEInit from module /usr/X11R6/lib/modules/drivers/i810_drv.o is
unresolved!
Symbol vbeDoEDID from module /usr/X11R6/lib/modules/drivers/i810_drv.o is
unresolved!
(==) Depth 24 pixmap format is 32 bpp
(==) I810(0): Write-combining range (0x44000000,0x2000000)
(II) I810(0): Setting dot clock to 94.5 MHz [ 0x3d 0xe 0x20 ] [ 63 16 2 ]
(II) I810(0): chose watermark 0x22218000: (tab.freq 94.5)
(II) I810(0): Adding 512 scanlines for pixmap caching
(II) I810(0): Allocated Scratch Memory
(II) I810(0): Using XFree86 Acceleration Architecture (XAA)
        Screen to screen bit blits
        Solid filled rectangles
        8x8 mono pattern filled rectangles
        Indirect CPU to Screen color expansion
        Solid Horizontal and Vertical Lines
        Offscreen Pixmaps
(==) I810(0): Backing store disabled
(==) I810(0): Silken mouse enabled
(II) I810(0): direct rendering: Disabled
(**) Mouse0: Protocol: "PS/2"
(**) Mouse0: Core Pointer
(==) Mouse0: Buttons: 3
(**) Mouse0: Emulate3Buttons, Emulate3Timeout: 50
(**) Mouse0: ZAxisMapping: buttons 4 and 5
(II) Keyboard "Keyboard0" handled by legacy driver
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
(II) I810(0): Setting dot clock to 94.5 MHz [ 0x3d 0xe 0x20 ] [ 63 16 2 ]
(II) I810(0): chose watermark 0x22218000: (tab.freq 94.5)
(II) I810(0): Setting dot clock to 94.5 MHz [ 0x3d 0xe 0x20 ] [ 63 16 2 ]
(II) I810(0): chose watermark 0x22218000: (tab.freq 94.5)
(II) I810(0): Setting dot clock to 94.5 MHz [ 0x3d 0xe 0x20 ] [ 63 16 2 ]
(II) I810(0): chose watermark 0x22218000: (tab.freq 94.5)
(II) I810(0): Setting dot clock to 94.5 MHz [ 0x3d 0xe 0x20 ] [ 63 16 2 ]
(II) I810(0): chose watermark 0x22218000: (tab.freq 94.5)
(II) I810(0): Setting dot clock to 94.5 MHz [ 0x3d 0xe 0x20 ] [ 63 16 2 ]
(II) I810(0): chose watermark 0x22218000: (tab.freq 94.5)
(II) I810(0): Setting dot clock to 94.5 MHz [ 0x3d 0xe 0x20 ] [ 63 16 2 ]
(II) I810(0): chose watermark 0x22218000: (tab.freq 94.5)
(II) I810(0): Setting dot clock to 94.5 MHz [ 0x3d 0xe 0x20 ] [ 63 16 2 ]
(II) I810(0): chose watermark 0x22218000: (tab.freq 94.5)
(II) I810(0): Setting dot clock to 94.5 MHz [ 0x3d 0xe 0x20 ] [ 63 16 2 ]
(II) I810(0): chose watermark 0x22218000: (tab.freq 94.5)
(II) I810(0): Setting dot clock to 94.5 MHz [ 0x3d 0xe 0x20 ] [ 63 16 2 ]
(II) I810(0): chose watermark 0x22218000: (tab.freq 94.5)
pgetbl_ctl: 0xb390001 pgetbl_err: 0x0
ipeir: 0 iphdr: 0
LP ring tail: 8 head: 0 len: 0 start 0
eir: 0 esr: 0 emr: 3d
instdone: ff7b instpm: 0
memmode: 4 instps: 0
hwstam: 9ac7 ier: 0 imr: 9ac7 iir: 0
space: 65520 wanted 65528

Fatal server error:
lockup

When reporting a problem related to a server crash, please send
the full server output, not just the last messages.
This can be found in the log file "/var/log/XFree86.0.log".
Please report problems to xfree86@xfree86.org.

xdm error (pid 4949): Server for display :0 terminated unexpectedly: 1
Comment 1 Need Real Name 2001-04-26 05:21:29 EDT
Check your settings in BIOS and mem statement in lilo.conf, I was getting similar problems (see bug # 20571)
Comment 2 Mike A. Harris 2001-06-12 02:45:21 EDT
Yes, this appears to be a BIOS configuration issue.  Also, the missing
symbols errors provided above have been fixed in 4.0.3-21.  It will be
available sometime soon.

Note You need to log in before you can comment on or make changes to this bug.